package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.AdvisoryBodyBo;
import com.dsk.cscec.domain.bo.CustomerCooperationBo;
import com.dsk.cscec.domain.bo.CustomerInfoBo;
import com.dsk.cscec.domain.vo.AdvisoryBodyVo;
import com.dsk.cscec.domain.vo.CustomerApproveVo;
import com.dsk.cscec.domain.vo.CustomerCooperationVo;
import com.dsk.cscec.domain.vo.CustomerInfoVo;

/**
 * 组织维表(DCustomer)表服务接口
 *
 * @author
 * @since 2023-12-10
 */
public interface ICustomerInfoService extends IService<DCustomer> {

    TableDataInfo<CustomerInfoVo> queryPageList(CustomerInfoBo bo, PageQuery query);

    CustomerApproveVo queryApproveByBo(CustomerInfoBo bo);

    TableDataInfo<AdvisoryBodyVo> queryAdvisoryList(AdvisoryBodyBo bo, PageQuery query);

    /**
     * 供应商合作记录
     * @param bo
     * @param query
     * @return
     */
    TableDataInfo<CustomerCooperationVo> queryCooperationList(CustomerCooperationBo bo,PageQuery query);
}
